%define iconname %{name}.png

#define git	git169

# exclude plugin .so from provides
%define _exclude_files_from_autoprov	%{_libdir}/%{name}/plugins/.*\\.so

Summary:	The user-friendly, lightweight and fast GTK2 based email client
Name:		claws-mail
Version:	3.9.3%{?git}
Release:	%mkrel 1
Epoch:		1
License:	GPLv3+
Group:		Networking/Mail
URL:		http://www.claws-mail.org

%if 0%{?git:1}
Source0:	http://www.claws-mail.org/snapshots/%{name}-%{version}.tar.bz2
%else
Source0:	http://downloads.sourceforge.net/sylpheed-claws/%{name}-%{version}.tar.bz2
%endif

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1) >= 0.60
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:	pkgconfig(enchant) >= 1.0.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.6
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.6
BuildRequires:	pkgconfig(gnutls) >= 2.2
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.0
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.5
BuildRequires:	pkgconfig(NetworkManager) >= 0.6.2
BuildRequires:	docbook-utils
BuildRequires:	libsm-devel
BuildRequires:	openldap-devel
BuildRequires:	pilot-link-devel
BuildRequires:	multiarch-utils
BuildRequires:	libetpan-devel >= 0.42
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	valgrind-devel
BuildRequires:	spamassassin-spamd >= 3.0.0
BuildRequires:	libgcrypt-devel
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	imagemagick
BuildRequires:	compface-devel

#From old plugins-extra pkg
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	pygtk2.0-devel

BuildRequires:	webkitgtk-devel
BuildRequires:	libnotify-devel
BuildRequires:	gail-devel
BuildRequires:	libytnef-devel

Requires:	compface
Requires:	rootcerts
Requires:	common-licenses
Requires:	enchant-dictionary = 2

# To handle hidden preferences
Suggests:	clawsker

%description
Claws-Mail is an e-mail client (and news reader) based on GTK+, running
on X Window System, and aiming for:
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features

The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package. It has
some additional features, and also extends existing features.

Addtitional features include:
    o Scoring
    o Spell checking
    o Return receipts

Improved features include:
    o SMTP Auth
    o Filtering
    o MIME attachments
    o Integrated News reader
    o Automatic mail checking
    o Line-wrapping
    o XML-based addressbook
    o Newly arrived and unread message management
    o Printing
    o GnuPG support
    o Address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://www.claws-mail.org/features.php

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development files and headers for %{name}.

%package plugins
Summary:	Plugins for %{name}
Group:		Networking/Mail
Requires:	%{name}-bogofilter-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-smime-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpinline-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpmime-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-spamassassin-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-acpi-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-att_remover-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-bsfilter-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-fancy-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-fetchinfo-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-mailmbox-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-notification-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdf_viewer-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-perl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-python-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-rssyl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-vcalendar-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-attachwarner-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-spam_report-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-tnef_parse-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-address_keeper-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-clamd-plugin = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-plugins < 1:3.8.1-3
Obsoletes:	%{name}-extra-plugins < 1:3.9.1

%description plugins
This is a meta-package which requires all plugins included in the Claws Mail
source package.

%package archive-plugin
Summary:	Archiver plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description archive-plugin
Archives mail folders using libarchive library. Folders can be archived
with or without compression (ZIP, GZIP or BZIP2) and also in several 
formats (TAR, SHAR, PAX or CPIO).

%package bogofilter-plugin
Summary:	Bogofilter plugin for %{name}
Group:		Networking/Mail
BuildRequires:	bogofilter
Requires:	%{name} >= %{epoch}:%{version}
Requires:	bogofilter

%description bogofilter-plugin
Enables the scanning of incoming mail received from a
POP, IMAP, or LOCAL account using Bogofilter. It can
optionally delete mail identified as spam or save it
to a designated folder. Bogofilter is a pure Bayesian
filter, therefore it has better speed performance
than SpamAssassin but might catch less spam.

%package gdata-plugin
Summary:	Gmail contacts plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description gdata-plugin
Includes your Gmail account contacts in the list generated for Tab-address
completion on compose window, using the GData library.

%package smime-plugin
Summary:	S/Mime plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description smime-plugin
This plugin allows to use S/Mime signatures and encryptions
in Claws Mail

%package pgpcore-plugin
Summary:	PGP core plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description pgpcore-plugin
Handles core PGP functions and is a dependency of both
the PGP/Inline and PGP/MIME plugins.

%package pgpinline-plugin
Summary:	PGP/Inline plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description pgpinline-plugin
Handles PGP/Inline signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package pgpmime-plugin
Summary:	PGP/MIME plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description pgpmime-plugin
Handles PGP/MIME signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package spamassassin-plugin
Summary:	Spamassassin-plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	spamassassin-spamd

%description spamassassin-plugin
Scans incoming mail received from a POP, IMAP or LOCAL account using
SpamAssassin. It can optionally delete mail identified as spam or save
it to a designated folder.

%package acpi-plugin
Summary:	This plugin enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description acpi-plugin
This plugin for %{name} enables mail notification via LEDs
on some laptops.

%package att_remover-plugin
Summary:	This plugin for %{name} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description att_remover-plugin
This plugin for %{name} enables the removal of attachments.

%package bsfilter-plugin
Summary:	This plugin enables spam fitering through bsfilter
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description bsfilter-plugin
Check all messages that are received from an IMAP, LOCAL or POP account
for spam using Bsfilter.

%package fancy-plugin
Summary:	This plugin renders HTML e-mails through WebKit
Group:		Networking/Mail
BuildRequires:	webkitgtk-devel
Requires:	%{name} >= %{epoch}:%{version}
Obsoletes:	%{name}-gtkhtml2_viewer-plugin < 1:3.9.1
Obsoletes:	%{name}-dillo_viewer-plugin < 1:3.9.1

%description fancy-plugin
Renders HTML e-mail using the WebKit library

%package fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description fetchinfo-plugin
This plugin for %{name} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description mailmbox-plugin
This plugin for %{name} provides direct access to mbox folders.

%package newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description newmail-plugin
This plugin for %{name} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package notification-plugin
Summary:	This plugin notify from new mail
Group:		Networking/Mail
BuildRequires:	libnotify-devel
Requires:	%{name} >= %{epoch}:%{version}
Obsoletes:	%{name}-trayicon-plugin < 1:3.9.1

%description notification-plugin
This plugin for %{name} notify from new incoming mail.

%package perl-plugin
Summary:	Perl interface to %{name}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description perl-plugin
This plugin is intended to extend the filtering possibilities
of %{name}. It provides a Perl interface to %{name}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package python-plugin
Summary:	Python scriptin access to %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description python-plugin
This plugin offers a Python scripting access to %{name}.

%package rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{name}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package vcalendar-plugin
Summary:	This plugin for %{name} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description vcalendar-plugin
This %{name} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package vcalendar-plugin-devel
Summary:	This plugin for %{name} install the vcalendar plugin headers
Group:		Networking/Mail
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description vcalendar-plugin-devel
Header files for %{name}-vcalendar-plugin.

%package attachwarner-plugin
Summary:	This plugin for %{name} enables attachwarner
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description attachwarner-plugin
This %{name} plugin provides attachwarner.

%package spam_report-plugin
Summary:	This plugin for %{name} enables spamreport
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description spam_report-plugin
This %{name} plugin provides spamreport.

%package tnef_parse-plugin
Summary:	This plugin for %{name} enables parsing MS-TNEF attachments
Group:		Networking/Mail
BuildRequires:	libytnef-devel
Requires:	%{name} >= %{epoch}:%{version}

%description tnef_parse-plugin
This %{name} plugin enables parsing MS-TNEF attachments.

%package address_keeper-plugin
Summary:	%{name} plugin keeps all recipient addresses in an addressbook folder
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description address_keeper-plugin
This %{name} plugin keeps all recipient addresses in an addressbook folder.

%package clamd-plugin
Summary:	%{name} plugin to enable scanning all received messages
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	clamav

%description clamd-plugin
This %{name} plugin scans all messages that are received from an IMAP, LOCAL
or POP account using clamd (Clam AV).

%package pdf_viewer-plugin
Summary:	%{name} plugin to handle PDF attachments
Group:		Networking/Mail
Obsoletes:	%{name}-pdfviewer-plugin < 1:3.9.0-3
Requires:	%{name} >= %{epoch}:%{version}

%description pdf_viewer-plugin
This %{name} plugin handles PDF and Postscript attachments.

%prep
%setup -q
%apply_patches

%build

%if 0%{?git:1}
autoreconf -vfi
%endif

%configure2_5x \
	--disable-static \
	--disable-rpath
%make

%check
make check

%install
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
install -m644 %{name}-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{iconname}
install -m644 %{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{iconname}

find %{buildroot} -name '*.la' -delete

%find_lang %{name}
%find_lang acpi_notifier
%find_lang address_keeper
%find_lang attachwarner
%find_lang bsfilter_plugin
%find_lang clamd
%find_lang fancy
%find_lang fetchinfo-plugin
%find_lang notification_plugin
%find_lang pdf_viewer
%find_lang python_plugin
%find_lang rssyl
%find_lang spam_report
%find_lang tnef_parse
%find_lang vcalendar

%files -f %{name}.lang
%doc AUTHORS NEWS README* TODO* RELEASE_NOTES tools
%{_bindir}/%{name}
%{_bindir}/sylpheed-claws
%{_datadir}/applications/claws-mail.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/%{name}.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/claws-mail.pc

%files plugins

%files archive-plugin
%{_libdir}/%{name}/plugins/archive.so

%files bogofilter-plugin
%{_libdir}/%{name}/plugins/bogofilter.so

%files gdata-plugin
%{_libdir}/%{name}/plugins/gdata.so

%files smime-plugin
%{_libdir}/%{name}/plugins/smime.so
%{_libdir}/%{name}/plugins/smime.deps

%files pgpcore-plugin
%{_libdir}/%{name}/plugins/pgpcore.so

%files pgpinline-plugin
%{_libdir}/%{name}/plugins/pgpinline.so
%{_libdir}/%{name}/plugins/pgpinline.deps

%files pgpmime-plugin
%{_libdir}/%{name}/plugins/pgpmime.so
%{_libdir}/%{name}/plugins/pgpmime.deps

%files spamassassin-plugin
%doc src/plugins/spamassassin/README
%{_libdir}/%{name}/plugins/spamassassin*.so

%files acpi-plugin -f acpi_notifier.lang
%{_libdir}/%{name}/plugins/acpi*

%files att_remover-plugin
%{_libdir}/%{name}/plugins/att_remover*

%files attachwarner-plugin -f attachwarner.lang
%{_libdir}/%{name}/plugins/attachwarner*

%files bsfilter-plugin -f bsfilter_plugin.lang
%{_libdir}/%{name}/plugins/bsfilter*

%files fancy-plugin -f fancy.lang
%{_libdir}/%{name}/plugins/fancy*

%files fetchinfo-plugin -f fetchinfo-plugin.lang
%{_libdir}/%{name}/plugins/fetchinfo*

%files mailmbox-plugin
%{_libdir}/%{name}/plugins/mailmbox*

%files newmail-plugin
%{_libdir}/%{name}/plugins/newmail*

%files notification-plugin -f notification_plugin.lang
%{_libdir}/%{name}/plugins/noti*

%files perl-plugin
%{_libdir}/%{name}/plugins/perl*

%files python-plugin -f python_plugin.lang
%{_libdir}/%{name}/plugins/python*

%files rssyl-plugin -f rssyl.lang
%{_libdir}/%{name}/plugins/rssyl*

%files vcalendar-plugin -f vcalendar.lang
%{_libdir}/%{name}/plugins/vcalendar*

%files vcalendar-plugin-devel
%{_includedir}/%{name}/plugins/vcalendar/vcal_interface.h

%files spam_report-plugin -f spam_report.lang
%{_libdir}/%{name}/plugins/spamreport*

%files tnef_parse-plugin -f tnef_parse.lang
%{_libdir}/%{name}/plugins/tnef_parse*

%files address_keeper-plugin -f address_keeper.lang
%{_libdir}/%{name}/plugins/address_keeper*

%files clamd-plugin -f clamd.lang
%{_libdir}/%{name}/plugins/clamd*

%files pdf_viewer-plugin -f pdf_viewer.lang
%{_libdir}/%{name}/plugins/pdf_viewer*


%changelog
* Sun Dec 22 2013 wally <wally> 1:3.9.3-1.mga4
+ Revision: 559913
- new version 3.9.3

* Sat Oct 19 2013 umeabot <umeabot> 1:3.9.2-3.mga4
+ Revision: 528885
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 1:3.9.2-2.mga4
+ Revision: 447774
- rebuild for new libarchive

* Sun Jun 09 2013 fwang <fwang> 1:3.9.2-1.mga4
+ Revision: 441301
- new version 3.9.2

* Sat May 25 2013 wally <wally> 1:3.9.1-1.mga4
+ Revision: 426999
- new version 3.9.1
- drop obsolete plugins
  * trayicon
  * dillo viewer
  * gtkhtml2 viewer
- 'extra plugins' comes now from claws-mail src pkg

* Thu Mar 07 2013 wally <wally> 1:3.9.0-3.mga3
+ Revision: 401639
- suggest clawsker for editing hidden preferences

* Fri Jan 11 2013 umeabot <umeabot> 1:3.9.0-2.mga3
+ Revision: 347832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 wally <wally> 1:3.9.0-1.mga3
+ Revision: 318233
- new version 3.9.0
- drop upstream applied patches

* Tue Oct 23 2012 luigiwalser <luigiwalser> 1:3.8.1-5.mga3
+ Revision: 309479
- add patch from opensuse to fix CVE-2012-4507

* Sun Oct 14 2012 wally <wally> 1:3.8.1-4.mga3
+ Revision: 305369
- add a patch from upstream to fix build with gnutls 3.1.3

* Sun Sep 30 2012 wally <wally> 1:3.8.1-3.mga3
+ Revision: 300911
- create a meta pkg which requires all "core" plugins

* Sat Sep 29 2012 wally <wally> 1:3.8.1-2.mga3
+ Revision: 300562
- make smime-plugin require pgpcore-plugin

* Wed Jun 27 2012 julien <julien> 1:3.8.1-1.mga3
+ Revision: 264495
- new version 3.8.1

* Tue Jan 03 2012 fwang <fwang> 1:3.8.0-3.mga2
+ Revision: 189877
- rebuild for new libetpan

* Fri Dec 30 2011 julien <julien> 1:3.8.0-2.mga2
+ Revision: 189106
- fix error message with missing dictionary by putting a require on enchant-dictionary = 2 (pulls myspell ATM but should do the right thing when hunspell will advertise enchant-dictionary)

* Sun Dec 18 2011 fwang <fwang> 1:3.8.0-1.mga2
+ Revision: 183593
- br gcrypt
- update br
- new version 3.8.0

* Sat Nov 19 2011 julien <julien> 1:3.7.10-2.mga2
+ Revision: 169160
- add patch to compile with glib3.31+ and gnutls 3+
- clean up spec a bit
- drop old provide/obsolete

* Fri Sep 02 2011 fwang <fwang> 1:3.7.10-1.mga2
+ Revision: 137860
- new version 3.7.10
- rebuild for new gnutls

* Wed Jul 13 2011 ahmad <ahmad> 1:3.7.9-2.mga2
+ Revision: 123688
- Add a patch from upstream to fix a crash on startup
  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2414
  should fix (mga#2128)

* Thu Jun 30 2011 ahmad <ahmad> 1:3.7.9-1.mga2
+ Revision: 116291
- Update to 3.7.9
- Drop patch0, fixed upstream
- Build with no-undedined

* Tue Jun 21 2011 ahmad <ahmad> 1:3.7.8-3.mga2
+ Revision: 110897
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Fri Feb 25 2011 ahmad <ahmad> 1:3.7.8-2.mga1
+ Revision: 59230
- drop old/unneeded scriptlets
- drop old obsoletes/provides

  + kharec <kharec>
    - imported package claws-mail


* Mon Dec 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1:3.7.8-1mdv2011.0
+ Revision: 612409
- update to 3.7.8
- fix install

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.7.6-1mdv2011.0
+ Revision: 553660
- update to new version 3.7.6

* Sun Jan 31 2010 Frederik Himpe <fhimpe@mandriva.org> 1:3.7.5-1mdv2010.1
+ Revision: 498895
- update to new version 3.7.5

* Fri Jan 15 2010 Colin Leroy <colinl@mandriva.org> 1:3.7.4-1mdv2010.1
+ Revision: 491622
- New upstream release

* Fri Oct 09 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.3-1mdv2010.1
+ Revision: 456254
- Fix tarball
- New upstream release

* Mon Oct 05 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.2-2mdv2010.0
+ Revision: 453854
- Fix bug 54024, "Claws-Mail 3.7.2 doesn't refresh"
  Patch from upstream 3.7.2cvs42.

* Fri Aug 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.7.2-1mdv2010.0
+ Revision: 411306
- add buildrequires on libtool
- export path to libtool, just to make it compile
- use _disable_ld_no_undefined 1 as a workaround

  + Colin Leroy <colinl@mandriva.org>
    - New upstream release

* Fri Mar 06 2009 Colin Leroy <colinl@mandriva.org> 1:3.7.1-1mdv2009.1
+ Revision: 349651
- Update to 3.7.1

* Fri Dec 19 2008 Colin Leroy <colinl@mandriva.org> 1:3.7.0-1mdv2009.1
+ Revision: 316128
- Prepare new release
- Fix spellchecker

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.6.1-1mdv2009.1
+ Revision: 291580
- update to new version 3.6.1
- add buildrequires on enchant

* Fri Oct 03 2008 Colin Leroy <colinl@mandriva.org> 1:3.6.0-1mdv2009.0
+ Revision: 290998
- * SOURCES/claws-mail-3.6.0.tar.bz2,
  SPECS/claws-mail.spec:
  	New upstream release
  * SOURCES/claws-mail-3.5.0-gnutls-rootcerts-path.patch,
  SOURCES/claws-mail-3.5.0-gtk+2.13.x.patch:
  	Dropped (fixed upstream)

* Sun Sep 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-6mdv2009.0
+ Revision: 282370
- Patch2: fix compiling with gtk+-2.13.x and newer
- Patch1: fix it
- Patch1: add path to rootcers if compiled with gnutls support
- add requires for rootcerts
- disable openssl in confgure options

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-5mdv2009.0
+ Revision: 229678
- add requires on gnutls-devel for devel subpackage since support for gnutls has been enabled

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-4mdv2009.0
+ Revision: 229663
- obsolete claws-mail-pdf_viewer-plugin
- add missing buildrequires on bison, flex, startup-notification-devel, gnutls-devel and valgrind
- explicitly disable network-manager support

* Fri Jun 27 2008 Colin Leroy <colinl@mandriva.org> 1:3.5.0-3mdv2009.0
+ Revision: 229512
- A requested package cannot be installed:
  lib64nm_util-devel-0.7.0-0.3675.1mdv2009.0.x86_64 (due to unsatisfied devel(libnspr4(64bit)))
- Use new NM package names

* Fri Jun 27 2008 Colin Leroy <colinl@mandriva.org> 1:3.5.0-2mdv2009.0
+ Revision: 229510
- Disable NetworkManager support (broken NM packages)
- New upstream release

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-3mdv2009.0
+ Revision: 195677
- Force rebuild
- Signal that the clamav plugin is dead

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-1mdv2009.0
+ Revision: 195588
- New upstream release

* Fri Mar 28 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.1-2mdv2008.1
+ Revision: 190872
- Backport fixes from upstream CVS:
  (3.3.1cvs5) Fix bug 1534, 'Segmentation fault when doing
  	    some draft saving and then throwing away'
  (3.3.1cvs5)  Fix bug 1533, 'Claws is unable to mark messages
  	     as "read" in IMAP shared folders'
  (3.3.1cvs5)  Fix bug 1515, 'large messages crash claws when
  	     syncing for offline mode'. This is rather a
  	     workaround, and mails > 64MB will still be
  	     problematic if there's less than 64MB available
  	     on the dataroot volume.
  (3.3.1cvs7)  Probably fix bug 1539, 'Program crashes':
  	     Setup Gcrypt's thread functions when built
  	     with GnuTLS
  (3.3.1cvs19) Fix blinking of the taskbar entry
  (3.3.1cvs23) Fix folderview's scrollbar at startup
  	    if starting hidden
  (3.3.1cvs24) Fix buglet on setting recipient when
  	     reediting forward rules.
  (3.3.1cvs30) Remove raw printf
  (3.3.1cvs32) Sanity check.
  (3.3.1cvs36) strstrip mime subtype
  (3.3.1cvs39) Fix bug 1555: current folder wasn't used when
  	     right-clicking on an email address
  (3.3.1cvs40) Clean up session disconnection. Possibly
  	     fix Ubuntu bug #204290
  (3.3.1cvs41+42) Prevent list flickering when deleting addresses.
  (3.3.1cvs43) Fix bug 1559, 'Claws Mail crashed deleting all
  	     common contacts'
  (3.3.1cvs44) Fix RedHat bug 431735, 'segfault if /home is full'
  	     (when starting): Fix double fclose() in prefs.c
  	     and potentially xmlprops.c

* Sun Feb 24 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.1-1mdv2008.1
+ Revision: 174263
- New upstream release 3.3.1

* Fri Feb 08 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.0-2mdv2008.1
+ Revision: 164141
- Upgrade to 3.3.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.2.0-2mdv2008.1
+ Revision: 139433
- rebuild for libetpan and bogofilter

  + Colin Leroy <colinl@mandriva.org>
    - Put back buildroot, or "make DESTDIR= install" fails
    - ImageMagick *was* required
    -Remove useless imagemagick builddep
    -Use compface only on > 2008.0

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.2.0-1mdv2008.1
+ Revision: 133264
- spec file clean
- do not package COPYING file
- remove big ChangeLog files and INSTALL file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Colin Leroy <colinl@mandriva.org>
    - New 3.2.0 upstream release

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 1:3.1.0-3mdv2008.1
+ Revision: 114365
- add desktop file patch

* Mon Nov 19 2007 Colin Leroy <colinl@mandriva.org> 1:3.1.0-2mdv2008.1
+ Revision: 110480
- Increment rel
- Remove wrong dependancy

* Mon Nov 19 2007 Colin Leroy <colinl@mandriva.org> 1:3.1.0-1mdv2008.1
+ Revision: 110412
- Fix virtual dependancy
- Add missing BuildDepends
- Update Claws Mail's spec to 3.1.0
- libgnomeprintui is not a dependancy anymore, the internal
  GTK+ print support is used with GTK+ >= 2.10

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add requires on compface

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.0.2-2mdv2008.1
+ Revision: 102417
- update descriptions for plugins
- fix mixture of tabs and spaces
- enable compface
- disable static libraries
- nuke rpath
- remove old non fd.o icons dir
- fix desktop entries
- add scriplets
- spec file clean

* Tue Oct 02 2007 Colin Leroy <colinl@mandriva.org> 1:3.0.2-1mdv2008.0
+ Revision: 94597
- Upgrade to 3.0.2 (bugfixes only)

* Thu Sep 20 2007 Colin Leroy <colinl@mandriva.org> 1:3.0.1-1mdv2008.0
+ Revision: 91383
- Fix Summary

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix

  + Funda Wang <fwang@mandriva.org>
    - GPLv3+ now

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 1:3.0.0-1mdv2008.0
+ Revision: 78965
- BR clamav-devel
- New version 3.0.0

* Sat Jul 14 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.10.0-1mdv2008.0
+ Revision: 52039
- New release 2.10.0

* Wed May 09 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.2-1mdv2008.0
+ Revision: 25795
- New release 2.9.2

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.1-1mdv2008.0
+ Revision: 14935
- New release 2.9.1

* Tue Apr 17 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.9.0-1mdv2008.0
+ Revision: 13566
- New release 2.9.0


* Tue Mar 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.8.1-1mdv2007.0
+ Revision: 133885
- New release 2.8.1

* Tue Feb 27 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-3mdv2007.1
+ Revision: 126233
- Final Release

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-2mdv2007.1
+ Revision: 123182
- Bump Release
- New release 2.8.0-rc2

* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.8.0-1mdv2007.1
+ Revision: 121504
- New release 2.8.0rc1

* Fri Jan 26 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.2-1mdv2007.1
+ Revision: 114223
- New release 2.7.2

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.1-1mdv2007.1
+ Revision: 110276
- Ready to build
- Add BR, bump release

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a buildrequire

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.7.0-1mdv2007.1
+ Revision: 107072
- Fix changes
- Fix %%files
- New release 2.7.0

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Macroise a little more

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.6.1-1mdv2007.1
+ Revision: 104872
- Add changes for building with iurt
- Import claws-mail

